## LassoDiscoResourceOffering LassoDiscoResourceOffering — <disco:ResourceOffering> |

## Functions

LassoDiscoResourceOffering * | lasso_disco_resource_offering_new ()

## Types and Values

struct | LassoDiscoResourceOffering

## Description

Figure 114. Schema fragment for disco:ResourceOffering

    <xs:element name="ResourceOffering" type="ResourceOfferingType"/>
    <xs:complexType name="ResourceOfferingType">
      <xs:sequence>
        <xs:group ref="ResourceIDGroup"/>
        <xs:element name="ServiceInstance" type="ServiceInstanceType"/>
        <xs:element ref="Options" minOccurs="0"/>
        <xs:element name="Abstract" type="xs:string" minOccurs="0"/>
      </xs:sequence>
      <xs:attribute name="entryID" type="IDType" use="optional"/>
    </xs:complexType>

    Schema fragment (liberty-idwsf-utility-1.0-errata-v1.0.xsd)

    <xs:simpleType name="IDType">
      <xs:restriction base="xs:string"/>
    </xs:simpleType>

## Functions

### lasso_disco_resource_offering_new ()

    LassoDiscoResourceOffering *
    lasso_disco_resource_offering_new (LassoDiscoServiceInstance *serviceInstance);

## Types and Values

### struct LassoDiscoResourceOffering

    struct LassoDiscoResourceOffering {
    	LassoNode parent;

    	/* elements */
    	LassoDiscoResourceID *ResourceID;
    	LassoDiscoEncryptedResourceID *EncryptedResourceID;
    	LassoDiscoServiceInstance *ServiceInstance;

    	/*
    	 * If the Options element is present, but it is empty, it means that the service instance
    	 * explicitly advertises that none of the options are available.
    	*/
    	LassoDiscoOptions *Options;
    	gchar *Abstract;

    	/* attributes */
    	gchar *entryID;
    };